=== debian/changelog ===
gmic (2.9.4-4) unstable; urgency=medium

  * [131e7db] Build libgmic with clang on mipsel.
  * [9da7be7] Use CMAKE_*_COMPILER.
  * [d313501] Wrap cmake variable as string for MATCHES
  * [5fbf837] CMAKE_C_COMPILER is a full path

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 17 Feb 2021 00:44:19 +0100

gmic (2.9.4-3) unstable; urgency=medium

  * [c74ea06] Try again.
    Building in a clean source directory failed again on mipsel.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 14 Feb 2021 22:22:43 +0100

gmic (2.9.4-2) unstable; urgency=medium

  * [3d778a0] Build with -O0 on mipsel.
    gcc/g++ is eating RAM again :(

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 14 Feb 2021 21:27:31 +0100

gmic (2.9.4-1) unstable; urgency=medium

  * [800fc82] New upstream version 2.9.4
    Closes: #949211
  * [bd7cd77] opencv4 supported from upstream

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 30 Jan 2021 00:12:19 +0100
